List memberships
Returns a paginated list of memberships, with optional filtering by product, plan, status, and user.
Required permissions:
member:basic:readmember:email:read
Authorizations
An Account API key, account-scoped JWT, App API key, or user OAuth token. Prepend the key or token with Bearer, for example Bearer ***************************.
Query Parameters
Returns the elements in the list that come after the specified cursor.
Returns the elements in the list that come before the specified cursor.
Returns the first n elements from the list.
42
Returns the last n elements from the list.
42
The sort direction for results. Defaults to descending.
asc, desc The field to sort results by. Null uses the default sort order.
id, created_at, status, canceled_at, date_joined, total_spend Filter to only memberships belonging to these product identifiers.
Represents a unique identifier that is Base64 obfuscated. It is often used to refetch an object or as key for a cache. The ID type appears in a JSON response as a String; however, it is not intended to be human-readable. When expected as an input type, any string (such as "VXNlci0xMA==") or integer (such as 4) input value will be accepted as an ID.
Filter to only memberships matching these statuses.
The status of a membership
trialing, active, past_due, completed, canceled, expired, unresolved, drafted, canceling Filter to only memberships matching these cancellation reasons.
The different reasons a user can choose for why they are canceling their membership.
too_expensive, switching, missing_features, technical_issues, bad_experience, unused, other, testing Filter memberships by whether the customer is canceling, left, or was won back.
won_back, left, canceling Filter memberships by whether they have a structured or free-text cancellation reason.
When filtering by the other cancellation option, also include memberships that only have a free-text cancellation reason.
Filter to only memberships belonging to these plan identifiers.
Represents a unique identifier that is Base64 obfuscated. It is often used to refetch an object or as key for a cache. The ID type appears in a JSON response as a String; however, it is not intended to be human-readable. When expected as an input type, any string (such as "VXNlci0xMA==") or integer (such as 4) input value will be accepted as an ID.
Filter to only memberships belonging to these user identifiers.
Represents a unique identifier that is Base64 obfuscated. It is often used to refetch an object or as key for a cache. The ID type appears in a JSON response as a String; however, it is not intended to be human-readable. When expected as an input type, any string (such as "VXNlci0xMA==") or integer (such as 4) input value will be accepted as an ID.
Filter to only memberships linked to this Discord or Telegram account, given as the platform user ID prefixed with discord_ or telegram_, for example discord_123456789012345678. Discord matches include memberships imported with that Discord ID.
Filter to only memberships that used these promo code identifiers.
Represents a unique identifier that is Base64 obfuscated. It is often used to refetch an object or as key for a cache. The ID type appears in a JSON response as a String; however, it is not intended to be human-readable. When expected as an input type, any string (such as "VXNlci0xMA==") or integer (such as 4) input value will be accepted as an ID.
Only return memberships created before this timestamp.
"2023-12-01T05:00:00.401Z"
Only return memberships created after this timestamp.
"2023-12-01T05:00:00.401Z"
The unique identifier of the company to list memberships for. Required when using an API key.
"biz_xxxxxxxxxxxxxx"

